import { NestInterceptor, ExecutionContext, CallHandler } from '@nestjs/common';
import { HttpAdapterHost } from '@nestjs/core';
import { Observable } from 'rxjs';
import { NestResponse } from './nest-response';
export declare class TransformResponseInterceptor implements NestInterceptor {
    private readonly httpAdapter;
    constructor(adapterHost: HttpAdapterHost);
    intercept(context: ExecutionContext, next: CallHandler): Observable<any> | Promise<Observable<any>>;
    interceptResponse(responseController: NestResponse, context: ExecutionContext): import("../interface/custom-response.interface").CustomResponse;
}
