import { ExecutionContext } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { Reflector } from '@nestjs/core';
import { JwtService } from '@nestjs/jwt';
import { AbstractGuard } from './abstract-guard.guard';
export declare class CustomJwtAuthGuard extends AbstractGuard {
    protected readonly reflector: Reflector;
    protected readonly jwtService: JwtService;
    protected readonly configService: ConfigService;
    protected readonly scopeADM: string;
    constructor(reflector: Reflector, jwtService: JwtService, configService: ConfigService, scopeADM: string);
    canActivate(context: ExecutionContext): Promise<boolean>;
}
